<?php

namespace Spec\Infomaker\Everyware\NewsML\Parsers;

use Infomaker\Everyware\NewsML\Parsers\VimeoLinkParser;
use Infomaker\Everyware\NewsML\Item;
use PhpSpec\ObjectBehavior;
use Prophecy\Argument;

class VimeoLinkParserSpec extends ObjectBehavior
{
    function it_is_initializable()
    {
        $this->shouldHaveType(VimeoLinkParser::class);
    }
    public function it_should_parse_an_element()
    {
        $xml = '
            <object type="x-im/vimeo" uri="im://vimeo/123456789" url="https://vimeo.com/123456789">  
            </object>';
        $el = simplexml_load_string($xml, 'SimpleXMLIterator');
        $this->parse($el)
            ->shouldHaveUri('im://vimeo/123456789');
    }

    public function getMatchers(): array
    {
        return [
            'haveUri' => function ($subject, $uri) {
                return $subject[0]->uri === $uri;
            },
        ];
    }
}
